#########################################################
# This file has been automatically generated by gem2tgz #
#########################################################
# -*- encoding: utf-8 -*-
# stub: charlock_holmes 0.7.7 ruby lib
# stub: ext/charlock_holmes/extconf.rb

Gem::Specification.new do |s|
  s.name = "charlock_holmes".freeze
  s.version = "0.7.7"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Brian Lopez".freeze, "Vicent Mart\u{ed}".freeze]
  s.date = "2019-11-08"
  s.description = "charlock_holmes provides binary and text detection as well as text transcoding using libicu".freeze
  s.email = "seniorlopez@gmail.com".freeze
  s.extensions = ["ext/charlock_holmes/extconf.rb".freeze]
  s.files = ["ext/charlock_holmes/common.h".freeze, "ext/charlock_holmes/converter.c".freeze, "ext/charlock_holmes/encoding_detector.c".freeze, "ext/charlock_holmes/ext.c".freeze, "ext/charlock_holmes/extconf.rb".freeze, "ext/charlock_holmes/transliterator.cpp".freeze, "lib/charlock_holmes.rb".freeze, "lib/charlock_holmes/encoding_detector.rb".freeze, "lib/charlock_holmes/string.rb".freeze, "lib/charlock_holmes/version.rb".freeze]
  s.homepage = "https://github.com/brianmario/charlock_holmes".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["--charset=UTF-8".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3".freeze)
  s.rubygems_version = "2.5.2.1".freeze
  s.summary = "Character encoding detection, brought to you by ICU".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<chardet>.freeze, ["~> 0.9"])
      s.add_development_dependency(%q<minitest>.freeze, ["~> 5.11"])
      s.add_development_dependency(%q<rake-compiler>.freeze, ["~> 1.0"])
    else
      s.add_dependency(%q<chardet>.freeze, ["~> 0.9"])
      s.add_dependency(%q<minitest>.freeze, ["~> 5.11"])
      s.add_dependency(%q<rake-compiler>.freeze, ["~> 1.0"])
    end
  else
    s.add_dependency(%q<chardet>.freeze, ["~> 0.9"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.11"])
    s.add_dependency(%q<rake-compiler>.freeze, ["~> 1.0"])
  end
end
